GetDelegatedResourceV2

[Stake 2.0] Returns the resource delegations from a specific address to a target address (solidified state).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns
delegatedResource - List<DelegatedResource>: A list of resource delegations from a specific address to target addresses.

A DelegatedResource object contains the following fields:

FieldTypeDescription
fromstringDelegator account address. (Format: Base58 or Hex)
tostringRecipient account address. (Format: Base58 or Hex)
frozen_balance_for_bandwidthint64Amount of staked TRX delegated from the from address to the to address for Bandwidth. (Unit: sun)
frozen_balance_for_energyint64Amount of staked TRX delegated from the from address to the to address for Energy. (Unit: sun)
expire_time_for_bandwidthint64Expiration timestamp of the Bandwidth delegation lock. (Unit: milliseconds)
expire_time_for_energyint64Expiration timestamp of the Energy delegation lock. (Unit: milliseconds)

Note: If a field value is 0 or empty, it will not be displayed in the returned results.

Regarding the delegation expiration time, if a 3-day lock is not specified when delegating the resource, expire_time_for_bandwidth or expire_time_for_energy will be 0.


Body Params
string
required

Delegator account address (format: Base58 or Hex). Example: TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g

string

Recipient account address (format: Base58 or Hex). Example: TJmmqjb1DK9TTZbQXzRQ2AuA94z4gKAPFh

boolean

Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!